commit 149e46f06a661bd51f3a247dd41a49b553fdca65
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 19 18:33:43 2022 -0800

    xdriiinfo 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c311687d90564f670e1ec943371c5cab4711f3e3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 8 14:47:33 2022 -0800

    Ensure screenNum is always initialized
    
    Clears this warning from clang, even though it seems like a
    false positive, as all the uses are behind the same conditions:
    
    xdriinfo.c:117:27: warning: variable 'screenNum' may be uninitialized
      when used here [-Wconditional-uninitialized]
        if (func == DRIVER && screenNum == -1) {
                              ^~~~~~~~~
    xdriinfo.c:61:28: note: initialize the variable 'screenNum' to silence
      this warning
        int nScreens, screenNum;
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a318124b38bbfac36f6bfe537839b0d3a9065b94
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 8 14:45:02 2022 -0800

    Variable scope reduction
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 710f7c9e9fad765bfe4c31071a82460c473abee7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8567c4d6f5c7663cde7b7c0f0c6d7f5ded175e18
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 12:01:08 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4b1b5e4e826d739f203ab899af965f0557b10e0f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 12:01:05 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8346a277d26d8b476709aa740cb1aaaa2824bb76
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:02:07 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8f0c54ec113bb7502fa75d2057224f9c98d9cdf1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 21:36:46 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3727e9dd2b964bed15083e79e55051132522a148
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Mar 6 23:22:03 2018 -0800

    xdriinfo 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6273d9dacbf165331c21bcda5a8945c8931d87b8
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Mon Mar 13 12:18:53 2017 +0100

    Fix xdriinfo not working with glvnd
    
    For glx calls to work on libglvnd as glx provider we must first call
    glXGetClientString. This also means that we can no longer take the
    shortcut to not open the Display when a driver name is past to options.
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

commit 9f0b01c590d1bceb31657edbf52aa94680428038
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 9ff8d18d8a32872a805c50776afc06438c9bfa2a
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 63c9e54c080f4546c31014f5dc347000a7114602
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit d3a33f66615cbf727866d3db5cf20475d4bb1f77
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 16 23:04:02 2015 -0700

    xdriinfo 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4676f2fa92057c94a39830fb1215e9944f958c91
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:28:43 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c30dda24d012670959ddb78914ac53489a88ab61
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:28:43 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 70c75b22f4dee883941495e8dbc6dfa58c1991dd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 26 23:15:30 2013 -0800

    Add -version option to print program version
    
    Add both -version & -display to man page, since options were not
    previously documented.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3bac938bf49e6e543ffeaf7bbc0e6c17f5b30416
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 26 22:45:18 2013 -0800

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit db27eef6c2ab78bbae9fabcccd5720d3dfef44d9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:56 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3392e966c444c39bdcb89131dcd9822f1f135667
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1c67a45b6d9974469e3cbfc6da06e88d8b11ded2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 8 23:02:10 2010 -0800

    xdriinfo 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit eda29cff30b4d86a6ae202d9ec7b9e53053038d7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 8 00:01:53 2010 -0800

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM sttaements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dcdb41471ddb985fe837f12ddea33ddd59e7499e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 7 23:59:52 2010 -0800

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    AC_TYPE_SIGNAL was not used in xdriinfo
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cc5faefb86c79aea188ebb0cd1d1c5b2f9ac54fb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 7 23:58:42 2010 -0800

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 672494b0974d6d0b04cdf1d1003d996e48623fee
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 7 23:58:05 2010 -0800

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 60771e4bf3f70d28c8b4b1833655261c853e35d7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:53 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 154841cf9c1aa8abb1e010f8b16fd71736a1f750
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 22dd0b3f6fce230a58a7552d56b5f582ef5e8abe
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 7b698f1a4e5706db509d3db63fa94f5648e7a690
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 87def102d6aa06ac730791426c61a7af00772ffb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 27 15:33:12 2009 -0400

    Makefile.am: do not include autogen.sh in distribution #24183
    
    This is a private build script that should not be distributed

commit a5041bd0be9d1b54f4e6683c141745f5ed0d6294
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 16 16:20:33 2009 -0700

    xdriinfo 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 7c88f82a86249eac513643c2a5f4dceb86cb754d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 16 16:20:14 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit cdec3cdf9e45c8232ffba8f8ad51d2880d8e6da9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:22 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 10444fb87f13b5c531714f2564c976ca6ca5fd90
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Jan 20 16:29:24 2009 -0200

    Correct make distcheck failure and sparse warnings.

commit 4cd79eba9a2a4763f34a30d0ed71c9a5ac6f4353
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:06 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit 46dcc268ae983b7f1214b1839776f8f5d72f4222
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 17 16:27:11 2007 -0700

    Version bump: 1.0.2

commit f930da05f9d0af42d2daa026b1e99a9e5f0ff4a7
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 17 16:26:04 2007 -0700

    Replace static ChangeLog with dist-hook to generate from git log

commit 1d8078119bdfc51e656ca4eb0e5ad122f334cd88
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 15:22:05 2007 -0700

    Change xdriinfo_CFLAGS to AM_CFLAGS to make automake-1.10 happier
    
    Makefile.am:27: compiling `xdriinfo.c' with per-target flags requires `AM_PROG_CC_C_O' in `configure.ac'

commit 49b3932cec1d026195129b35a7e1f982c3a70e99
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 24 18:13:03 2007 -0700

    renamed: .cvsignore -> .gitignore

commit b833138c8caf357326a5c708bb7f31b6f5d081bf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 24 18:12:27 2007 -0700

    X.Org bug #10616: Add all the X info commands to See Also in man page
    
    X.Org Bugzilla #10616: <https://bugs.freedesktop.org/show_bug.cgi?id=10616>
    Reported upstream from
    Debian bug #350313 <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=350313>

commit a563d95affd78ebfae6a59425ea2c1832f97efa6
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Apr 8 02:31:21 2006 +0000

    Bump to 1.0.1.

commit 12209b48afe65215e693b00bfb0397e275e85114
Author: Matthias Hopf <mhopf@suse.de>
Date:   Mon Jan 16 10:54:14 2006 +0000

    GLX_GLXEXT_LEGACY -> GLX_GLXEXT_PROTOTYPES + glxext.h

commit 36c5e81eff50ef34f8b96014c8ee04c0563ab853
Author: Matthias Hopf <mhopf@suse.de>
Date:   Fri Jan 13 16:06:10 2006 +0000

    Using glXGetProcAddressARB instead of glXGetProcAddress.
    Casting to GLubyte* to remove warning.

commit d7bbc6892078a0541dd4302277eb67ff0bd90e0d
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:06 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 9073b89b1dcaaa7d3ad61c1228290fad12c356f7
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:21 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 34efbba5acd968eb07c0ab6702371d5833353970
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:19 2005 +0000

    Update package version number for X11R7 RC3 release.

commit ce638f553d89bb202eff94397933ee3c40165819
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Nov 30 01:17:30 2005 +0000

    Bug #5146: Fix building of xdriinfo in the presence of NVIDIA libGL by
        using the GLX 1.3 glXGetProcAddressARB instead of glXGetProcAddress.

commit 5777c79b762a65b1610ea59f7f3fd47241f797b6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:41 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit f206a4af9754100eadaa1ca621abf475d005e0de
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:00 2005 +0000

    Another pass at .cvsignores for apps.

commit fe407362531a53339c00782a2f7aa90e8f6a47dd
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:51 2005 +0000

    Add/improve .cvsignore files for apps.

commit 2c7a5cc7407dd6f7132cf3b50c65f3408872a1a2
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:53 2005 +0000

    Update package version number for RC1 release.

commit fe1aed987cafbbb9eb6ea165487b8891473ea52d
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Oct 18 20:25:30 2005 +0000

    Remove check for gl/glx.h as that fails when installing Mesa in a
        non-standard directory and causes the build script to exit.

commit d30bf6da2b0fcf960805d099ef4903c9a3ae5d9d
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:22 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 2ff37b7da09549f212207d3ea24a0295e5f8c955
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:23:22 2005 +0000

    Check for <GL/glx.h> & libGL in configure.ac instead of waiting for failure
        at build time if neither Mesa nor vendor OpenGL is installed.

commit 8060bfb0e6211bd8f871770bee40f56df4f5fa2c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:44 2005 +0000

    Use sed to fill in variables in man page

commit ae8b217d70907921d4df62a17c7f78cdb99474fe
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Mon Aug 29 11:07:33 2005 +0000

    Adding xdriinfo build system.

commit d5234bf9acf43337c35c6b83d003a8a5aab9b61b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:27:39 2004 +0000

    DRI trunk-20040613 import

commit bbc27fa912a112fad8d28a566d8fab9db5d8bb3f
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:27:39 2004 +0000

    Initial revision
